> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Payment Method

> Delete a Payment Method



## OpenAPI

````yaml openapi/ecommerce.yaml delete /public/{user_id}/payment-methods/{paymentMethod_uuid}
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/payment-methods/{paymentMethod_uuid}:
    delete:
      tags:
        - Payment
      summary: Delete Payment Method
      description: Delete a Payment Method
      operationId: deletePaymentMethod
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: dolorem
        - name: paymentMethod_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: add98189-9522-3fc9-b946-f51877d8a18d
      responses:
        '204':
          description: Successful Deleted Payment Method
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````